/*
 *  As an alternative to using Alt-Sysrq-c to crash 2.4-based kernels, 
 *  this module may be built like so:
 *
 *   # gcc -DKERNEL -DMODULE -I/lib/modules/$(uname -r)/build/include -c crash.c
 *
 *  and then installed for an instant oops with:
 *
 *   # insmod ./crash.o
 */
#include <linux/config.h>
#include <linux/module.h>
#include <linux/init.h>

int __init crash_init(void)
{
	printk ("crashing kernel...\n");
	*((char *) 0) = 0;
	return 0;
}

module_init(crash_init);
